Package org.eclipse.lemminx.extensions.relaxng.grammar.rng

## Class RNGDocumentLinkParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.grammar.rng.RNGDocumentLinkParticipant

All Implemented Interfaces:
  `IDocumentLinkParticipant`

    public class RNGDocumentLinkParticipant
    extends Object
    implements IDocumentLinkParticipant

Implements document links in .rng files for

- include/@href
- externalRef/@href

### Constructor Summary

Constructors
`RNGDocumentLinkParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findDocumentLinks​(DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)` Find document links of the given XML document.
`void` `findDocumentLinks​(DOMNode parent, DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RNGDocumentLinkParticipant

    public RNGDocumentLinkParticipant()

### Method Detail

#### findDocumentLinks

    public void findDocumentLinks​(DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)

Description copied from interface: `IDocumentLinkParticipant`
Find document links of the given XML document.

Specified by:
  `findDocumentLinks` in interface `IDocumentLinkParticipant`

#### findDocumentLinks

    public void findDocumentLinks​(DOMNode parent,
                                  DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)